mod files;
mod links;

use axum::Router;
use sqlx::PgPool;

pub fn router(db: PgPool) -> Router {
    Router::new()
        .nest("/files", files::router(db.clone()))
        .nest("/links", links::router(db))
}
